complexType "PortfolioReference"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | portfolioName?, sequenceNumber?, submissionsComplete?
</...>

Content Model Elements (3):

  portfolioName (in portfolioReference), sequenceNumber (defined in PortfolioReference complexType), | submissionsComplete

Annotation
A structure used to group together individual messages that can be acted on at a group level.
Type Definition Detail

Type Derivation Tree PortfolioReferenceBase (extension) PortfolioReference

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PortfolioReference"> <xsd:complexContent> <xsd:extension base="PortfolioReferenceBase"> <xsd:sequence> <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/3)
sequenceNumber

  Type: | xsd:positiveInteger, predefined, simple content

  A numeric, sequentially ascending (i.e. gapless) value (starting at 1) that can be used to identify and distinguish the individual constituents of a portfolio request. A recipient should ensure that all sequence numbers from 1 to the final sequence number (where submissionsComplete is true) have arrived before completing the portfolio request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sequenceNumber" type="xsd:positiveInteger"/>

submissionsComplete

  Type: | xsd:boolean, predefined, simple content

  Indicates whether all individual requests have been submitted for this portfolio request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.